{% extends "base.html" %} {% load static %} {% block css %}
<link rel="stylesheet" href="{% static 'css/plugins/bootstrap-tagsinput.css' %}">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/textfield.css' %}">
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" /> {% endblock css %} {% block title %}

<h1>Agregar Rúbrica ABET</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">
            Evaluación
        </a>
    </li>
    <li class="active">Agregar Rúbrica ABET</li>
</ol>
{% endblock title %} {% block content %}
<div>
    <div id="content" class="container-fluid row">
        <div class="col-sm-12 col-md-12">
            <div class="card">
                <header class="card-heading card-blue">
                    <div class="row">
                        <div class="col-sm-7">
                            <h2 class="card-title" id="titulo_rubrica">Nueva Rúbrica</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body">
                    <div class="row" id="form_create">
                        <div class="col-sm-4 col-md-4" style="margin-top:1.7%">
                            <div class="form-group label-floating">
                                <label for="name" class="control-label">Nombre:</label>
                                <input class="form-control" type="text" id="name" name="name"></input>
                            </div>
                        </div>
                        <div class="col-sm-4 col-md-4 ">
                            <div class="form-group ">
                                <label for="carreer" class="control-label">Carrera:</label>
                                <select id="carreer" class="form-control" data-rule-required="true" aria-required="true">
                                    <option>Select an Option</option>
                                    {% for carreer in carreers %}
                                    <option value="{{carreer.1}}">{{carreer.0}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-4 col-md-4 ">
                            <div class="form-group ">
                                <label for="subject" class="control-label">Asignatura:</label>
                                <select id="subject" class="select form-control" data-rule-required="true" aria-required="true">
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <div class="form-group label-floating ">
                                <label for="nota_inci" class="control-label">Nota Incipiente:</label>
                                <input class="form-control" type="number" name="nota_inci" id="nota_inci">
                            </div>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <div class="form-group label-floating ">
                                <label for="nota_enpr" class="control-label">Nota En Proceso:</label>
                                <input class="form-control" type="number" name="nota_enpr" id="nota_enpr">
                            </div>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <div class="form-group label-floating ">
                                <label for="nota_suf" class="control-label">Nota Esperado:</label>
                                <input class="form-control" type="number" name="nota_suf" id="nota_suf">
                            </div>
                        </div>
                        <div class="col-sm-2 col-md-2 ">
                            <button type="button" style="margin-top: 24px" id="accept_name" class="btn btn-block btn-primary">
                                Aplicar
                                <i class="fa fa-check" style="color:white"></i>
                            </button> 
                        </div>
                    </div>
                    <div class="row outcomes animated fadeInRight" style="display:none">
                        <hr>
                        <div class="form-group col-md-8">
                            <label for="outcome" class="control-label">Outcomes:</label>
                            <select name='outcome' id="outcome" class="form-control select-with-search pmd-select2 pmd-select2-tags pmd-textfield-floating-label pmd-textfield form-control"
                                multiple="multiple" data-rule-required="true" placeholder="Elija los outcomes a evaluar...">
                            </select>
                        </div>
                        <div class="col-md-4" id="button_outcome">
                            <button type="button" id="add_outcome" class="btn btn-block btn-primary" data-rubricpk="" style="margin-top: 22px">Incluir Outcome</button>
                        </div>
                        <hr>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="col-sm-12 col-md-12" style="z-index:-1">
    <div class="card outcomes" style="display:none">
        <header class="card-heading card-blue text-center">
            <h2 class="card-title">Outcomes</h2>
        </header>
    </div>
</div>
<div class="col-sm-12 col-md-12">
    <div id="outcome_content" class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
    </div>
</div>
<div class="row outcomes col-sm-12 col-md-12" style="display:none">
    <div class="col-md-4 pull-right">
        <a href="{% url 'abet_rubric_list' %}" type="button" style="margin-top: 24px" class="btn btn-block btn-primary">
            Guardar
            <i class="fa fa-check" style="color:white"></i>
        </a>
    </div>
</div>
{% endblock content %} {% block javascript %}

<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script src="{% static 'js/global.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>
<script src="{% static 'js/select2.full.js' %}"></script>
<script src="{% static 'js/textfield.js' %}"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js'></script>
<script>
    $(document).on("click", ".remove_outcome", function (e) {
        console.log(e.trigger)
        var outcome_pk = $(this).data('outcomepk');
        var rubric_pk = $("#add_outcome").data('rubricpk')
        var button = $(this);
        data = {
            outcome_pk: outcome_pk,
            rubric_pk: rubric_pk,
            carreer_pk: carreer_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}',
        };

        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'rubric_outcome_remove' %}",
            data: data,

            beforeSend: function (data) {
                console.log(data);
            },
            success: function (data) {
                $("#outcome").html(data.outcomes_opt);
                button.parent().parent().parent().remove();
            },
        });
    });

    $(document).ready(function () {
        $(".select-with-search").select2({
            theme: "bootstrap",
            width: "100%",
		});
        $("#carreer").select2();
        $("#carreer").on("change", function () {
            console.log("CAMBIO");
            carreer_pk = $("#carreer").val();
            var data = {

                pk: carreer_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}'

            };
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'get_carreer_subjects' %}",
                data: data,

                success: function (data) {
                    $("#subject").html(data.subjects_abet)
                },

            });
        });

        $("#accept_name").click(function () {
            var nota_suf = parseInt($("#nota_suf").val(), 10);
            var nota_enpr = parseInt($("#nota_enpr").val(), 10);
            var nota_inci = parseInt($("#nota_inci").val(), 10);

            if (nota_suf > nota_enpr && nota_enpr > nota_inci && nota_suf <= 7 && nota_inci >= 0) {

                $("#form_create").addClass("animated fadeOutLeft");
                $("#form_create").hide();

                var data = {

                    nombre: $("#name").val(),
                    subject: $("#subject").val(),
                    carreer_pk: $("#carreer").val(),
                    nota_suf: $("#nota_suf").val(),
                    nota_enpr: $("#nota_enpr").val(),
                    nota_inci: $("#nota_inci").val(),
                    csrfmiddlewaretoken: '{{ csrf_token }}',

                };
                var data2 = {

                    carreer_pk: $("#carreer").val(),
                    csrfmiddlewaretoken: '{{ csrf_token }}',

                }
                $(".outcomes").addClass("animated fadeInRight");
                $(".outcomes").show();
                $.ajax({
                    type: "post",
                    dataType: "json",
                    url: "{% url 'abet_rubric_create' %}",
                    data: data,

                    success: function (data) {
                        $("#titulo_rubrica").html(data.título);
                        $("#add_outcome").attr('data-rubricpk', data.rubricpk)
                    },

                    error: function (data) {
                        alert('Error al crear la rúbrica');
                    },
                });
                $.ajax({
                    type: "post",
                    dataType: "json",
                    url: "{% url 'get_carreer_outcomes' %}",
                    data: data2,

                    success: function (data) {
                        $("#outcome").html(data.outcomes);
                    },

                    error: function (data) {
                        alert("problema con los datos");
                    },
                });
            } else {
                swal({
                    title: "Notas incorrectas",
                    text: "Las notas deben ser crecientes de incipiente a suficiente. (nota máxima 7)",
                    type: "error",
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Entendido.",
                    closeOnConfirm: false
                });
            };
        });


        $("#add_outcome").click(function () {
            var outcome_pks = $("#outcome").val();
            var rubric_pk = $(this).data('rubricpk')
            data = {
                rubric_pk: rubric_pk,
                "keys[]": outcome_pks,
                carreer_pk: carreer_pk,
                csrfmiddlewaretoken: '{{ csrf_token }}',
            };
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'abet_rubric_add_outcomes' %}",
                data: data,

                success: function (data) {
                    $("#outcome_content").append(data.outcomes);
                    $("#outcome").val("");
                    $(".select-with-search").select2({
                        theme: "bootstrap",
                        width: "100%",
                    });
                    $("#outcome").html(data.outcomes_opt);
                },
            });
        });

        $(".remove_outcome").click(function () {


        });
    });

</script> {% endblock javascript %}